package com.wdkl.ncs.android.middleware.logic.presenter.callingbed

import com.wdkl.ncs.android.lib.base.RxPresenter
import com.wdkl.ncs.android.middleware.di.MiddlewareDaggerComponent
import com.wdkl.ncs.android.middleware.logic.contract.callingbed.AppUpdateContract
import javax.inject.Inject

class AppUpdatePresenter @Inject constructor() : RxPresenter<AppUpdateContract.View>(), AppUpdateContract.Presenter {
    override fun bindDagger() {
        MiddlewareDaggerComponent.component.inject(this)
    }
}